diff -uNr linux-heretic-1.0/soundclient/i_sound.h linux-heretic-1.0.new/soundclient/i_sound.h
--- linux-heretic-1.0/soundclient/i_sound.h	Tue Apr 13 17:02:58 1999
+++ linux-heretic-1.0.new/soundclient/i_sound.h	Fri Oct 15 15:39:35 1999
@@ -108,5 +108,7 @@
 /* See above (register), then think backwards */
 void I_UnRegisterSong(int handle);
 
+/* Find an executable in the path (for finding servers) */
+void find_in_path(char **filename, int size);
 
 #endif

diff -uNr linux-heretic-1.0/doomtype.h linux-heretic-1.0.new/doomtype.h
--- linux-heretic-1.0/doomtype.h	Thu Apr 15 07:48:55 1999
+++ linux-heretic-1.0.new/doomtype.h	Mon Oct 18 14:58:57 1999
@@ -94,6 +94,11 @@
 #define TRUE 1
 #endif
 
+/* Structure packing */
+#ifndef __PACKED__
+#define __PACKED__
+#endif
+
 #include <sys/types.h>
 
 #endif   /* __DOOMTYPE__ */
